Update invoice status
PUT
/billing/v1/invoices/{invoiceId}/statusUpdates the status of an invoice (admin).
Authorization
Bearer Authorization<token>
In: header
Path Parameters
invoiceId*string
Invoice ID
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/internal_billing.updateInvoiceStatusBody",
"$ref-value": {
"properties": {
"status": {
"type": "string"
}
},
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/billingv1.Invoice",
"$ref-value": {
"properties": {
"amount": {
"type": "string"
},
"created_at": {
"type": "string"
},
"currency": {
"type": "string"
},
"description": {
"type": "string"
},
"due_date": {
"type": "string"
},
"id": {
"type": "string"
},
"org_id": {
"type": "string"
},
"paid_at": {
"type": "string"
},
"status": {
"type": "string"
},
"subscription_id": {
"type": "string"
}
},
"type": "object"
}
}curl -X PUT "https://api.rixl.com/billing/v1/invoices/string/status" \
-H "Content-Type: application/json" \
-d '{}'OK
application/json
{
"$ref": "#/components/schemas/billingv1.Invoice",
"$ref-value": {
"properties": {
"amount": {
"type": "string"
},
"created_at": {
"type": "string"
},
"currency": {
"type": "string"
},
"description": {
"type": "string"
},
"due_date": {
"type": "string"
},
"id": {
"type": "string"
},
"org_id": {
"type": "string"
},
"paid_at": {
"type": "string"
},
"status": {
"type": "string"
},
"subscription_id": {
"type": "string"
}
},
"type": "object"
}
}